/*
   A series of predicates to see how cut works.
   Figure out what the answer will be and then try the queries, test1,
   test2, test3, test4.  Use ; .
*/

w(X) :- nl,  write(X).
w(X) :- write(' | ') , write(X) , write(' - w rule 2').

test1 :- w('Path 1 test1') , fail
       ; w('Path 2 test1').
          
test1 :- w('Rule 2 test1').




test2 :- w('Path 1 test2') , ! , fail
       ; w('Path 2').

test2 :- w('Rule 2 test2').




test3 :- ! , w('Path 1 test3'), fail
       ; w('Path 2').

test3 :- w('Rule 2 test3').





test4 :- ! , ( w('Path 1 test4') , fail
             ; w('Path 2') ).

test4 :- w('Rule 2 test4').












